<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="ru">
<head>
<!-- Generated by javadoc (1.8.0_151) on Sat Jun 15 11:41:18 MSK 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>PointCloudRenderer</title>
<meta name="date" content="2019-06-15">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="PointCloudRenderer";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../com/playground/drawingar/rendering/LineUtils.html" title="class in com.playground.drawingar.rendering"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../com/playground/drawingar/rendering/PoseUtils.html" title="class in com.playground.drawingar.rendering"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/playground/drawingar/rendering/PointCloudRenderer.html" target="_top">Frames</a></li>
<li><a href="PointCloudRenderer.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.playground.drawingar.rendering</div>
<h2 title="Class PointCloudRenderer" class="title">Class PointCloudRenderer</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.playground.drawingar.rendering.PointCloudRenderer</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">PointCloudRenderer</span>
extends java.lang.Object</pre>
<div class="block">Визуализатор множества маркеров.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/rendering/PointCloudRenderer.html#BYTES_PER_FLOAT">BYTES_PER_FLOAT</a></span></code>
<div class="block">Количество байт во float.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/rendering/PointCloudRenderer.html#BYTES_PER_POINT">BYTES_PER_POINT</a></span></code>
<div class="block">Количество байт на одну точку.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/rendering/PointCloudRenderer.html#FLOATS_PER_POINT">FLOATS_PER_POINT</a></span></code>
<div class="block">Количество компонент на одну точку.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/rendering/PointCloudRenderer.html#INITIAL_BUFFER_POINTS">INITIAL_BUFFER_POINTS</a></span></code>
<div class="block">Первоначальный размер буфера точек.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/rendering/PointCloudRenderer.html#mColorUniform">mColorUniform</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private long</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/rendering/PointCloudRenderer.html#mLastTimestamp">mLastTimestamp</a></span></code>
<div class="block">Время последнего обновления облака точек для исключения
 ситуации, когда облако точек еще не обновилось.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/rendering/PointCloudRenderer.html#mModelViewProjectionUniform">mModelViewProjectionUniform</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/rendering/PointCloudRenderer.html#mNumPoints">mNumPoints</a></span></code>
<div class="block">Количество точек.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/rendering/PointCloudRenderer.html#mPointSizeUniform">mPointSizeUniform</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/rendering/PointCloudRenderer.html#mPositionAttribute">mPositionAttribute</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/rendering/PointCloudRenderer.html#mProgramName">mProgramName</a></span></code>
<div class="block">Объект шейдерой программы.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/rendering/PointCloudRenderer.html#TAG">TAG</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/rendering/PointCloudRenderer.html#vbo">vbo</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/rendering/PointCloudRenderer.html#vboSize">vboSize</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/rendering/PointCloudRenderer.html#PointCloudRenderer--">PointCloudRenderer</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/rendering/PointCloudRenderer.html#createOnGlThread-android.content.Context-">createOnGlThread</a></span>(android.content.Context&nbsp;context)</code>
<div class="block">Выделяет и инициализирует ресурсы OpenGL, необходимые для визуализатора множества маркеров.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/rendering/PointCloudRenderer.html#draw-float:A-float:A-">draw</a></span>(float[]&nbsp;cameraView,
    float[]&nbsp;cameraPerspective)</code>
<div class="block">Рисует множество точек.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/rendering/PointCloudRenderer.html#update-com.google.ar.core.PointCloud-">update</a></span>(com.google.ar.core.PointCloud&nbsp;cloud)</code>
<div class="block">Обновляет бувер OpenGL данными из множества точек.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="TAG">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TAG</h4>
<pre>private static final&nbsp;java.lang.String TAG</pre>
</li>
</ul>
<a name="BYTES_PER_FLOAT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BYTES_PER_FLOAT</h4>
<pre>private static final&nbsp;int BYTES_PER_FLOAT</pre>
<div class="block">Количество байт во float.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#com.playground.drawingar.rendering.PointCloudRenderer.BYTES_PER_FLOAT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="FLOATS_PER_POINT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FLOATS_PER_POINT</h4>
<pre>private static final&nbsp;int FLOATS_PER_POINT</pre>
<div class="block">Количество компонент на одну точку.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#com.playground.drawingar.rendering.PointCloudRenderer.FLOATS_PER_POINT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="BYTES_PER_POINT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BYTES_PER_POINT</h4>
<pre>private static final&nbsp;int BYTES_PER_POINT</pre>
<div class="block">Количество байт на одну точку.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#com.playground.drawingar.rendering.PointCloudRenderer.BYTES_PER_POINT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="INITIAL_BUFFER_POINTS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INITIAL_BUFFER_POINTS</h4>
<pre>private static final&nbsp;int INITIAL_BUFFER_POINTS</pre>
<div class="block">Первоначальный размер буфера точек.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#com.playground.drawingar.rendering.PointCloudRenderer.INITIAL_BUFFER_POINTS">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="mProgramName">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mProgramName</h4>
<pre>private&nbsp;int mProgramName</pre>
<div class="block">Объект шейдерой программы.</div>
</li>
</ul>
<a name="mPositionAttribute">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mPositionAttribute</h4>
<pre>private&nbsp;int mPositionAttribute</pre>
</li>
</ul>
<a name="mColorUniform">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mColorUniform</h4>
<pre>private&nbsp;int mColorUniform</pre>
</li>
</ul>
<a name="mModelViewProjectionUniform">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mModelViewProjectionUniform</h4>
<pre>private&nbsp;int mModelViewProjectionUniform</pre>
</li>
</ul>
<a name="mPointSizeUniform">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mPointSizeUniform</h4>
<pre>private&nbsp;int mPointSizeUniform</pre>
</li>
</ul>
<a name="vbo">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>vbo</h4>
<pre>private&nbsp;int vbo</pre>
</li>
</ul>
<a name="vboSize">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>vboSize</h4>
<pre>private&nbsp;int vboSize</pre>
</li>
</ul>
<a name="mNumPoints">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mNumPoints</h4>
<pre>private&nbsp;int mNumPoints</pre>
<div class="block">Количество точек.</div>
</li>
</ul>
<a name="mLastTimestamp">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>mLastTimestamp</h4>
<pre>private&nbsp;long mLastTimestamp</pre>
<div class="block">Время последнего обновления облака точек для исключения
 ситуации, когда облако точек еще не обновилось.</div>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="PointCloudRenderer--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>PointCloudRenderer</h4>
<pre>public&nbsp;PointCloudRenderer()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="createOnGlThread-android.content.Context-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createOnGlThread</h4>
<pre>public&nbsp;void&nbsp;createOnGlThread(android.content.Context&nbsp;context)
                      throws java.io.IOException</pre>
<div class="block">Выделяет и инициализирует ресурсы OpenGL, необходимые для визуализатора множества маркеров.
 Должен быть вызван в потоке GL, а именно в
 <code>GLSurfaceView.Renderer#onSurfaceCreated(GL10, EGLConfig)</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>context</code> - Нужен для доступа к шейдеру.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.io.IOException</code> - Исключение ввода/вывода.</dd>
</dl>
</li>
</ul>
<a name="update-com.google.ar.core.PointCloud-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>update</h4>
<pre>public&nbsp;void&nbsp;update(com.google.ar.core.PointCloud&nbsp;cloud)</pre>
<div class="block">Обновляет бувер OpenGL данными из множества точек.
 Повторный выхов метода с одним и тем же множеством точек будет проигнорировано.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>cloud</code> - Множество точек.</dd>
</dl>
</li>
</ul>
<a name="draw-float:A-float:A-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>draw</h4>
<pre>public&nbsp;void&nbsp;draw(float[]&nbsp;cameraView,
                 float[]&nbsp;cameraPerspective)</pre>
<div class="block">Рисует множество точек. Точки заданы в мировом пространстве.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>cameraView</code> - Матрица вида, которую можно получить с помощью <code>Camera.getViewMatrix(float[], int)</code>.</dd>
<dd><code>cameraPerspective</code> - Матрица вида, которую можно получить с помощью  <code>Camera.getProjectionMatrix(float[], int, float, float)</code>.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../com/playground/drawingar/rendering/LineUtils.html" title="class in com.playground.drawingar.rendering"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../com/playground/drawingar/rendering/PoseUtils.html" title="class in com.playground.drawingar.rendering"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/playground/drawingar/rendering/PointCloudRenderer.html" target="_top">Frames</a></li>
<li><a href="PointCloudRenderer.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
